#include <stdio.h>

/*M ja K, K esialgu defineeritud pikkusega 1.
Kui sisestada n vrtuseks 2 vi 3 vi 4, siis kik ttab.
Kui sisestada niteks 8, siis hakkab K massiiv le kirjutama M massiivi esimesi vrtuseid.
Kui nd a algvrtus panna 0-ks, siis hakatakse ka 2 ja 3 puhul M massiivi vrtuseid le kirjutam*/

void fill(int n, int M[n][n]);
void calc(int n, int M[n][n], int K[n]);
void print(int n, int M[n][n], int K[n]);

//#define DEBUG

int main(void){
	int n, a = 1;
	printf("Sisesta n:");
	scanf("%d", &n);
	int M[n][n];
	int K[a];
	fill(n, M);
	print(n, M, K);
	a = n;
	calc(n, M, K);
	print(n, M, K);
}

void print(int n, int M[n][n], int K[n]){
	int i, j;
	printf("Maatriks\n");
	for(i = 0; i < n; i++){
		for(j = 0; j < n; j++)
			printf("%5d ", M[i][j]);
		printf("\n");
	}
	printf("\nVeeru summad\n");
	for(j = 0; j < n; j++)
		printf("%5d ", K[j]);
	printf("\n\n");
}

void fill(int n, int M[n][n]){
	int i, j;
	for(i = 0; i < n; i++){
		for(j = 0; j < n; j++){
#ifdef DEBUG			
			printf("%p ", &M[i][j]);
#endif
			M[i][j] = (i)*n + j + 1;
		}
#ifdef DEBUG			
		printf("\n");
#endif
	}
}

void calc(int n, int M[n][n], int K[n]){
	int i, j;
	printf("Arvutamine\n");
	for(i = 0; i < n; i++){
		K[i] = 0;
#ifdef DEBUG			
		printf("%p ", &K[i]);
#endif
		for(j = 0; j < n; j++){
			K[i] = K[i] + M[j][i];
		}
	}
	printf("\n");
}
